Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceTreeFilter

java.lang.Object
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceTreeFilter

public class DeviceTreeFilter extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `DeviceTreeFilter.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTreeFilter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeviceTreeFilter.Builder`
  `builder()`
  `Date`
  `getDateFrom()`
  `Date`
  `getDateTo()`
  `Set<Integer>`
  `getDeviceGroupIds()`
  `String`
  `getDeviceId()`
  `Set<Integer>`
  `getDeviceTypeIds()`
  `List<FilterEntityAttr>`
  `getEntityFilter()`
  `String`
  `getHost()`
  `String`
  `getIdentifier()`
  `Date`
  `getIntersectDateFrom()`
  `Date`
  `getIntersectDateTo()`
  `boolean`
  `isLoadDeviceGroupLink()`
  `Optional<Date>`
  `optDateFrom()`
  `Optional<Date>`
  `optDateTo()`
  `Optional<Set<Integer>>`
  `optDeviceGroupIds()`
  `Optional<String>`
  `optDeviceId()`
  `Optional<Set<Integer>>`
  `optDeviceTypeIds()`
  `Optional<String>`
  `optHost()`
  `Optional<String>`
  `optIdentifier()`
  `Optional<Date>`
  `optIntersectDateFrom()`
  `Optional<Date>`
  `optIntersectDateTo()`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setDeviceGroupIds(Set<Integer> deviceGroupIds)`
  `void`
  `setDeviceId(String deviceId)`
  `void`
  `setDeviceTypeIds(Set<Integer> deviceTypeIds)`
  `void`
  `setEntityFilter(List<FilterEntityAttr> entityFilter)`
  `void`
  `setHost(String host)`
  `void`
  `setIdentifier(String identifier)`
  `void`
  `setIntersectDateFrom(Date intersectDateFrom)`
  `void`
  `setIntersectDateTo(Date intersectDateTo)`
  `void`
  `setLoadDeviceGroupLink(boolean loadDeviceGroupLink)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeviceTreeFilter

    public DeviceTreeFilter()

- ## Method Details

  - ### getDeviceId

    public String getDeviceId()

  - ### optDeviceId

    public Optional<String> optDeviceId()

  - ### getIdentifier

    public String getIdentifier()

  - ### optIdentifier

    public Optional<String> optIdentifier()

  - ### getHost

    public String getHost()

  - ### optHost

    public Optional<String> optHost()

  - ### getDeviceTypeIds

    public Set<Integer> getDeviceTypeIds()

  - ### optDeviceTypeIds

    public Optional<Set<Integer>> optDeviceTypeIds()

  - ### getDeviceGroupIds

    public Set<Integer> getDeviceGroupIds()

  - ### optDeviceGroupIds

    public Optional<Set<Integer>> optDeviceGroupIds()

  - ### getDateFrom

    public Date getDateFrom()

  - ### optDateFrom

    public Optional<Date> optDateFrom()

  - ### getDateTo

    public Date getDateTo()

  - ### optDateTo

    public Optional<Date> optDateTo()

  - ### getIntersectDateFrom

    public Date getIntersectDateFrom()

  - ### optIntersectDateFrom

    public Optional<Date> optIntersectDateFrom()

  - ### getIntersectDateTo

    public Date getIntersectDateTo()

  - ### optIntersectDateTo

    public Optional<Date> optIntersectDateTo()

  - ### getEntityFilter

    public List<FilterEntityAttr> getEntityFilter()

  - ### isLoadDeviceGroupLink

    public boolean isLoadDeviceGroupLink()

  - ### setDeviceId

    public void setDeviceId(String deviceId)

  - ### setIdentifier

    public void setIdentifier(String identifier)

  - ### setHost

    public void setHost(String host)

  - ### setDeviceTypeIds

    public void setDeviceTypeIds(Set<Integer> deviceTypeIds)

  - ### setDeviceGroupIds

    public void setDeviceGroupIds(Set<Integer> deviceGroupIds)

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)

  - ### setDateTo

    public void setDateTo(Date dateTo)

  - ### setIntersectDateFrom

    public void setIntersectDateFrom(Date intersectDateFrom)

  - ### setIntersectDateTo

    public void setIntersectDateTo(Date intersectDateTo)

  - ### setEntityFilter

    public void setEntityFilter(List<FilterEntityAttr> entityFilter)

  - ### setLoadDeviceGroupLink

    public void setLoadDeviceGroupLink(boolean loadDeviceGroupLink)

  - ### builder

    public static DeviceTreeFilter.Builder builder()